Bug 121648 - Add updfstab.conf.default entry to support Lexar USB key hotplug
Add updfstab.conf.default entry to support Lexar USB key hotplug
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-24 10:27 EDT by David Morse
Modified: 2014-03-16 22:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 18:38:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Morse 2004-04-24 10:27:47 EDT
Description of problem:
When Lexar USB key inserted, usb-storage loads but no /etc/fstab entry
is added via updfstab because of a missing entry in
/etc/updfstab.conf.default.

Version-Release number of selected component (if applicable):
kudzu-1.1.36.1-1



How reproducible: Every time


Steps to Reproduce:
1. Insert drive
2.
3.
  
Actual results: No /etc/fstab entry automatically added.

Expected results:  /etc/fstab mountpoint should be added automatically
(/mnt/diskonkey).


Additional info:  Thanks to Tim Waugh's site, I was able to figure out
exactly what to add to get this to work.  Since it's a one-liner, I
won't bother attaching it:

# diff -u /etc/updfstab.conf.default.orig /etc/updfstab.conf.default
--- /etc/updfstab.conf.default.orig     2004-02-04 00:28:09.000000000
-0600
+++ /etc/updfstab.conf.default  2004-04-24 08:57:46.000000000 -0500
@@ -46,6 +46,7 @@
     match   hd CompactFlash
     match   hd ImageMate
     match   hd Flash
+    match   hd "LEXR PLUG DRIVE"
 }
  
 device floppy {

----
And FYI, here's the /etc/sysconfig/hwconf entry that I found the "LEXR
PLUG DRIVE" from:

-
class: HD
bus: USB
detached: 0
driver: usb-storage
desc: "LEXR PLUG DRIVE?              03101203020003AD3DD300000000000
LEXR PLUG DRIVE?              03101203020003AD3DD300000000000"
usbclass: 8
usbsubclass: 6
usbprotocol: 50
usbbus: 1
usblevel: 1
usbport: 0
usbdev: 2
vendorId: 05dc
deviceId: 0080
usbmfr: LEXR PLUG DRIVE?              03101203020003AD3DD300000000000
usbprod: LEXR PLUG DRIVE?              03101203020003AD3DD300000000000
-

After applying the patch above, the following /etc/fstab entry is
correctly added:
/dev/sda1               /mnt/diskonkey          auto   
noauto,owner,kudzu 0 0
Comment 1 Jarek Sacha 2004-04-28 10:04:33 EDT
To which model of Lexar USB you refer to?

I have Lexar JumpDrive 2.0 Pro that Fedora is completely not able to
recognize. That is when I insert it and run ‘lsusb’ no new devices
show up (to put it in perspective my JMK USBDrive works just fine on
Fedora). I use this Lexar JumpDrive on WinXP and it works just fine
(so the hardware is OK).
Comment 2 David Morse 2004-04-28 10:22:39 EDT
@Jarek:

My key is a Dell-branded 128MB USB Memory Key:
http://docs.us.dell.com/docs/acc/p60684/en/

Tim Waugh has an excellent page that I used to find the entry needed 
for hotplug/automount:
http://cyberelk.net/tim/usb-storage.html

You should try the techniques in the page above to find the string 
you need to add to updfstab.conf.default to get it recognized (and 
either file a separate bug or attach your patch to this one).
Comment 3 Jarek Sacha 2004-04-29 10:51:40 EDT
The Lexar JumpDrive 2.0 Pro can be identified with string JUMPSRIVE,
the JMTek USBDrive 1.1 with string JMTEK. Here are changes to my
updfstab.conf.default:
***************
*** 46,52 ****
      match   hd CompactFlash
      match   hd ImageMate
      match   hd Flash
-     match   hd JMTEK
  }

  device floppy {
--- 46,51 ----
***************
*** 61,67 ****
      partition 0
      match   hd diskOnKey
      match   hd "Lexar DIGITAL FILM"
-     match   hd JUMPDRIVE
  }

  device microdrive {
--- 60,65 ----
I added the JMTEK under 'device flash', the JUMPDRIVE under 'device
diskonkey'. 

I also updated /etc/hotplug/usb.distmap with 
# Lexar JumpDrive 2.0 Pro
usb-storage          0x0380 0x05dc   0xa400    0x0000       0x0000   
   0x00         0x00            0x00            0x08            0x06 
          0x50            0x00000000
# JMTek USBDrive 1.1
usb-storage          0x0380 0x058f   0x9380    0x0000       0x0000   
   0x00         0x00            0x00            0x08            0x06 
          0x50            0x00000000
however I do not know what values match_flags (second item in the
line=0x0380) and driver_info (last item in the line=0x00000000) should
actually have.
Comment 4 Bill Nottingham 2005-02-07 18:38:17 EST
As this functionality has moved to HAL, this will not be fixed in
updfstab at this time.

Note You need to log in before you can comment on or make changes to this bug.